#' Spatial Raster File for Vignette
#'
#' A spatial Raster file from a random area choose for the Vignette or as dummy data.
#'
#' @format ## `sch_201707`
#' A Spat Raster with 8 spectral bands
#' \describe{
#'  \item{class}{SpatRaster}
#'  \item{dimensions}{86, 151, 10  (nrow, ncol, nlyr)}
#'  \item{resolution}{100, 100  (x, y)}
#'  \item{extent}{801522.5, 816622.5, 5888973, 5897573  (xmin, xmax, ymin, ymax)}
#'  \item{coord. ref.}{WGS 84 / UTM zone 32N (EPSG:32632)}
#'  \item{names}{blue,  green, red,   nir,   nirb,  re1,   re2,   re3,   swir1, swir2}
#'  \item{min/max}{33.90298/5479.6602}
#' }
#'
#' @source Randomly created Spat Raster file from (Sentinel-2 Data)[https://browser.dataspace.copernicus.eu/?zoom=10&lat=52.96601&lng=13.86818&themeId=DEFAULT-THEME&visualizationUrl=U2FsdGVkX1%2BIsGtPIR6VONjAIVeaSIsxAeEPdOA40qQAQbcMBNQU8hm72ssEgHpSw4eAwAkXPinmsk4K%2F3abjRuqtTlI%2B2wn1ugvRaT60ImDOANRQiqdEHisLt2JSBMh&datasetId=S2_L2A_CDAS&fromTime=2017-07-01T00%3A00%3A00.000Z&toTime=2017-07-31T23%3A59%3A59.999Z&layerId=1_TRUE_COLOR].
"sch_201707"

